"use strict";
var facade_1 = require("../facade/facade");
var util_1 = require("../util/util");
var Mediator = (function () {
    function Mediator() {
        this.NAME = util_1.Util.createRandomNames('mediator-');
        this.handleNotification();
    }
    Mediator.prototype.handleNotification = function () {
    };
    Mediator.prototype.addListener = function (notificationName, listener) {
        facade_1.Facade.addListener(notificationName, listener.bind(this), this.NAME);
    };
    Mediator.prototype.sendNotification = function (notificationName, params) {
        facade_1.Facade.sendNotification(notificationName, params, this);
    };
    Mediator.prototype.removeListener = function (notificationName) {
        facade_1.Facade.removeListener(notificationName, this.NAME);
    };
    Mediator.prototype.removeAllListeners = function () {
        facade_1.Facade.removeAllListeners(this.NAME);
    };
    return Mediator;
}());
exports.Mediator = Mediator;
